import {LoanModel} from './loan.model';
import {UploadMetaModel} from './uploadMetaModel';
import {PayInModel} from './pay-in.model';

export class PayInModelEx extends PayInModel{
  public Loan: LoanModel;
  public UploadMeta: UploadMetaModel;
  constructor(payload: Partial<PayInModelEx>){
    super(payload);
    this.Loan = new LoanModel( payload.Loan || {});
    this.UploadMeta = new UploadMetaModel(payload.UploadMeta || {});
  }
}
